## ev-transition-effect

ev-transition-effect

## Functions

EvTransitionEffect * | ev_transition_effect_new ()

## Properties

EvTransitionEffectAlignment | alignment | Read / Write
gint | angle | Read / Write
EvTransitionEffectDirection | direction | Read / Write
gint | duration | Read / Write
gboolean | rectangular | Read / Write
gdouble | scale | Read / Write
EvTransitionEffectType | type | Read / Write

## Types and Values

enum | EvTransitionEffectType
enum | EvTransitionEffectAlignment
enum | EvTransitionEffectDirection
struct | EvTransitionEffect
struct | EvTransitionEffectClass

## Object Hierarchy

        GEnum
        ├── EvTransitionEffectAlignment
        ├── EvTransitionEffectDirection
        ╰── EvTransitionEffectType
        GObject
        ╰── EvTransitionEffect

## Description

## Functions

### ev_transition_effect_new ()

    EvTransitionEffect *
    ev_transition_effect_new (EvTransitionEffectType type,
                              const gchar *first_property_name,
                              ...);

#### Returns

## Types and Values

### enum EvTransitionEffectType

#### Members

EV_TRANSITION_EFFECT_REPLACE |  |
EV_TRANSITION_EFFECT_SPLIT |  |
EV_TRANSITION_EFFECT_BLINDS |  |
EV_TRANSITION_EFFECT_BOX |  |
EV_TRANSITION_EFFECT_WIPE |  |
EV_TRANSITION_EFFECT_DISSOLVE |  |
EV_TRANSITION_EFFECT_GLITTER |  |
EV_TRANSITION_EFFECT_FLY |  |
EV_TRANSITION_EFFECT_PUSH |  |
EV_TRANSITION_EFFECT_COVER |  |
EV_TRANSITION_EFFECT_UNCOVER |  |
EV_TRANSITION_EFFECT_FADE |  |

### enum EvTransitionEffectAlignment

#### Members

EV_TRANSITION_ALIGNMENT_HORIZONTAL |  |
EV_TRANSITION_ALIGNMENT_VERTICAL |  |

### enum EvTransitionEffectDirection

#### Members

EV_TRANSITION_DIRECTION_INWARD |  |
EV_TRANSITION_DIRECTION_OUTWARD |  |

### struct EvTransitionEffect

    struct EvTransitionEffect;

### struct EvTransitionEffectClass

    struct EvTransitionEffectClass {
    	GObjectClass parent_class;
    };

## Property Details

### The `“alignment”` property

      “alignment”                EvTransitionEffectAlignment

Alignment for the effect.

Flags: Read / Write

Default value: EV_TRANSITION_ALIGNMENT_HORIZONTAL

### The `“angle”` property

      “angle”                    gint

Effect angle in degrees, counted counterclockwise from left to right.

Flags: Read / Write

Allowed values: [0,360]

Default value: 0

### The `“direction”` property

      “direction”                EvTransitionEffectDirection

Direction for the effect.

Flags: Read / Write

Default value: EV_TRANSITION_DIRECTION_INWARD

### The `“duration”` property

      “duration”                 gint

Effect duration in seconds.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“rectangular”` property

      “rectangular”              gboolean

Whether the covered area is rectangular.

Flags: Read / Write

Default value: FALSE

### The `“scale”` property

      “scale”                    gdouble

Scale at which the effect is applied.

Flags: Read / Write

Allowed values: [0,1]

Default value: 1

### The `“type”` property

      “type”                     EvTransitionEffectType

Page transition effect type.

Flags: Read / Write

Default value: EV_TRANSITION_EFFECT_REPLACE